Get SERP URLs
curl --request GET \
--url https://api.conductor.com/v4/accounts/{accountId}/serp-urls \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.conductor.com/v4/accounts/{accountId}/serp-urls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.conductor.com/v4/accounts/{accountId}/serp-urls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"query": "<string>",
"urls": [
"<string>"
]
}
]
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"error": "<string>",
"message": "<string>",
"path": "<string>"
}{
"code": "<string>",
"message": "<string>"
}SERP Analysis
Get SERP URLs
Retrieve SERP URLs for multiple search queries—the prerequisite for creating a draft—using Conductor’s Content API to pick target keywords and competitors.
GET
/
v4
/
accounts
/
{accountId}
/
serp-urls
Get SERP URLs
Change Log
No changes to reportAuthorizations
ApiTokenApiKeyQuery & SigQuery
Conductor API token, sent as Bearer <your-api-token>. Generate a token from Integrations > API > Create API Token.
Path Parameters
Account identifier
Query Parameters
ID of the rank source (search engine)
List of search terms to analyze. Repeat the parameter to add more queries.
Number of results to return per query
Response
SERP results
Show child attributes
Show child attributes
⌘I
